##
##
##
##
##

from CvPythonExtensions import *
import CvUtil
import PyHelpers
import Popup as PyPopup


#######SD Tool Kit#######

import SdToolKit
sdEcho         = SdToolKit.sdEcho
sdModInit      = SdToolKit.sdModInit
sdModLoad      = SdToolKit.sdModLoad
sdModSave      = SdToolKit.sdModSave
sdEntityInit   = SdToolKit.sdEntityInit
sdEntityExists = SdToolKit.sdEntityExists
sdGetVal       = SdToolKit.sdGetVal
sdSetVal       = SdToolKit.sdSetVal
sdEntityWipe   = SdToolKit.sdEntityWipe

############################

# globals
gc = CyGlobalContext()


############################################################################


def getIntListKnownTeams(iTeam):

        pTeam = gc.getTeam(iTeam)

	iListKnownTeams = []

	iTotalPlayers = gc.getMAX_PLAYERS()

	for iTempPlayer in range(iTotalPlayers):
                pTempPlayer = gc.getPlayer(iTempPlayer)

                if (pTempPlayer.isAlive()):

                        iTempTeam = pTempPlayer.getTeam()

                        if (iTeam != iTempTeam) and (pTeam.isHasMet(iTempTeam)):
                                if (iTempTeam in iListKnownTeams):
                                        continue
                                else:
                                        iListKnownTeams += [iTempTeam]

        return iListKnownTeams



def getIntListUnKnownTeams(iTeam):

        pTeam = gc.getTeam(iTeam)

	iListUnKnownTeams = []

	iTotalPlayers = gc.getMAX_PLAYERS()

	for iTempPlayer in range(iTotalPlayers):
                pTempPlayer = gc.getPlayer(iTempPlayer)

                if (pTempPlayer.isAlive()):

                        iTempTeam = pTempPlayer.getTeam()

                        if (iTeam != iTempTeam) and (not pTeam.isHasMet(iTempTeam)):
                                if (iTempTeam in iListUnKnownTeams):
                                        continue
                                else:
                                        iListUnKnownTeams += [iTempTeam]

        return iListUnKnownTeams














